# AP4_Processor::TrackHandler Class Reference

Abstract class that defines the interface implemented by concrete track handlers. More...

`#include <Ap4Processor.h>`

Inheritance diagram for AP4_Processor::TrackHandler:

List of all members.

## Public Member Functions
virtual | ~TrackHandler ()
| Default destructor.
virtual AP4_Size | GetProcessedSampleSize (AP4_Sample &sample)
| Returns the size of a sample after processing.
virtual AP4_Result | ProcessTrack ()
| A track handler may override this method if it needs to modify the track atoms before processing the track samples.
virtual AP4_Result | ProcessSample (AP4_DataBuffer &data_in, AP4_DataBuffer &data_out)=0
| Process the data of one sample.

## Detailed Description

Abstract class that defines the interface implemented by concrete track handlers.

A track handler is responsible for processing a track and its media samples.

Definition at line 82 of file Ap4Processor.h.

## Constructor & Destructor Documentation

virtual AP4_Processor::TrackHandler::~TrackHandler | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 87 of file Ap4Processor.h.

## Member Function Documentation

virtual AP4_Size AP4_Processor::TrackHandler::GetProcessedSampleSize | ( | AP4_Sample & | sample | ) | `[virtual]`

Returns the size of a sample after processing.

Parameters:

  | sample | Sample of which the processed size is requested.

Returns:
  Size of the sample data after processing.

Reimplemented in AP4_IsmaTrackDecrypter, AP4_MarlinTrackDecrypter, and AP4_OmaDcfTrackDecrypter.

virtual AP4_Result AP4_Processor::TrackHandler::ProcessTrack | ( |  | ) | `[inline, virtual]`

A track handler may override this method if it needs to modify the track atoms before processing the track samples.

Reimplemented in AP4_IsmaTrackDecrypter, and AP4_OmaDcfTrackDecrypter.

Definition at line 100 of file Ap4Processor.h.

References AP4_SUCCESS.

virtual AP4_Result AP4_Processor::TrackHandler::ProcessSample | ( | AP4_DataBuffer & | data_in,
|  | AP4_DataBuffer & | data_out |
| ) |  |  | `[pure virtual]`

Process the data of one sample.

Parameters:

  | data_in | Data buffer with the data of the sample to process.
  | data_out | Data buffer in which the processed sample data is returned.

Implemented in AP4_IsmaTrackDecrypter, AP4_MarlinTrackDecrypter, and AP4_OmaDcfTrackDecrypter.

The documentation for this class was generated from the following file:

- Ap4Processor.h